Posted By

pdxmph on 07/04/10


Tagged

ruby adium Appscript


Versions (?)

adium_status


 / Published in: Ruby
 

  1. #!/usr/bin/env ruby
  2.  
  3. require "rubygems"
  4. require "appscript"
  5. include Appscript
  6.  
  7. adium = app("Adium")
  8. status_message = "Fiddling with appscript."
  9.  
  10. adium.accounts.get.each do |a|
  11. a.go_away(:with_message => status_message)
  12. end

Report this snippet  

You need to login to post a comment.